import ogr

from importer import Importer

TABLE_NAME="gauge_location"
PATH="Hydrologie/Streckendaten"
NAME="Gauge locations"


class GaugeLocation(Importer):

    def getPath(self, base):
        return "%s/%s" % (base, PATH)


    def getTablename(self):
        return TABLE_NAME


    def getName(self):
        return NAME


    def isGeometryValid(self, geomType):
        return geomType == 1


    def isShapeRelevant(self, name, path):
        return True


    def createNewFeature(self, featureDef, feat, **args):
        newFeat  = ogr.Feature(featureDef)
        geometry = feat.GetGeometryRef()
        geometry.SetCoordinateDimension(2)

        newFeat.SetGeometry(geometry)

        if self.IsFieldSet(feat, "river_id"):
            newFeat.SetField("river_id", feat.GetField("river_id"))
        else:
            newFeat.SetField("river_id", self.river_id)

        if self.IsFieldSet(feat, "Name"):
            newFeat.SetField("name", feat.GetField("name"))
        elif self.IsFieldSet(feat, "MPNAAM"):
            newFeat.SetField("name", feat.GetField("MPNAAM"))
        else:
            newFeat.SetField("name", args['name'])

        return newFeat

